/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for Electrophysiology Procedure Phase
 */
public enum EnumCM_ElectrophysiologyProcedurePhase {

	//CID 3254 Electrophysiology Procedure Phase
	ATRIAL_EFFECTIVE_REFRACTORY_PERIOD_EVALUATION_OF("Atrial Effective Refractory Period, evaluation of"),
	CAROTID_SINUS_MASSAGE_PROCEDURE_PHASE("Carotid Sinus Massage procedure phase"),
	ELECTROPHYSIOLOGY_MAPPING_PHASE("Electrophysiology Mapping phase"),
	ELECTROPHYSIOLOGY_PROCEDURE_BASELINE_PHASE("Electrophysiology procedure baseline phase"),
	POST_ABLATION_PHASE("Post-ablation phase"),
	POST_DEFIBRILLATION_PROCEDURE_PHASE("Post-defibrillation procedure phase"),
	RADIOFREQUENCY_ABLATION_PROCEDURE_PHASE("Radiofrequency Ablation procedure phase"),
	SINUSNODERECOVERYTIME_EVALUATIONOF("SinusNodeRecoveryTime,evaluationof"),
	VENTRICULAR_EFFECTIVE_REFRACTORY_PERIOD_EVALUATION_OF("Ventricular Effective Refractory Period, evaluation of");
	
	private String value;
	
	EnumCM_ElectrophysiologyProcedurePhase(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
